/// <reference types="mongoose/types/aggregate" />
/// <reference types="mongoose/types/callback" />
/// <reference types="mongoose/types/collection" />
/// <reference types="mongoose/types/connection" />
/// <reference types="mongoose/types/cursor" />
/// <reference types="mongoose/types/document" />
/// <reference types="mongoose/types/error" />
/// <reference types="mongoose/types/expressions" />
/// <reference types="mongoose/types/helpers" />
/// <reference types="mongoose/types/middlewares" />
/// <reference types="mongoose/types/indexes" />
/// <reference types="mongoose/types/models" />
/// <reference types="mongoose/types/mongooseoptions" />
/// <reference types="mongoose/types/pipelinestage" />
/// <reference types="mongoose/types/populate" />
/// <reference types="mongoose/types/query" />
/// <reference types="mongoose/types/schemaoptions" />
/// <reference types="mongoose/types/schematypes" />
/// <reference types="mongoose/types/session" />
/// <reference types="mongoose/types/types" />
/// <reference types="mongoose/types/utility" />
/// <reference types="mongoose/types/validation" />
/// <reference types="mongoose/types/virtuals" />
/// <reference types="mongoose/types/inferschematype" />
import { Document } from 'mongoose';
import { ArtifactDocument } from './artifact.schema';
import { LanguageSupportDocument } from './language-support.schema';
import { LocalizedAppDataDocument } from './localized-app-data.schema';
import { MediaLinkDocument } from './media-link.schema';
import { PlayMode } from './play-mode';
import { Price } from './price.schema';
import { ProvisioningMethod } from './provisioning-method';
import { TagDocument } from './tag.schema';
export type AppDocument = App & Document;
export declare class App {
    playFabId?: string;
    artifacts: ArtifactDocument[];
    active: boolean;
    localizations: LocalizedAppDataDocument[];
    provisioning: ProvisioningMethod;
    tags: TagDocument[];
    releasedOn: Date;
    mediaLinks: MediaLinkDocument[];
    languages: LanguageSupportDocument[];
    modes: PlayMode[];
    prices: Price[];
}
export declare const AppSchema: import("mongoose").Schema<App, import("mongoose").Model<App, any, any, any, any>, {}, {}, {}, {}, import("mongoose").DefaultSchemaOptions, App>;
